config:
  target: "wss://healthapi.regumapps.com"
  phases:
    - duration: 30
      arrivalRate: 20
  engines:
    socketio: {}
  socketio:
    transports: ["websocket"]

scenarios:
  - name: "Test add/update/delete events"
    engine: "socketio"
    flow:
      - emit:
          channel: "test_event"
          data: { action: "add", id: "123" }
      - think: 1
      - emit:
          channel: "test_event"
          data: { action: "update", id: "123" }
      - think: 1
      - emit:
          channel: "test_event"
          data: { action: "delete", id: "123" }
      - think: 1
      - on:
          channel: "update"
          then:
            - log: "✅ Got update back from server"

